Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management.remote
Interface JMXConnectorProvider

    public interface JMXConnectorProvider

A provider for creating JMX API connector clients using a given protocol. Instances of this interface are created by `JMXConnectorFactory` as part of its `newJMXConnector` method.

Since:
  1.5

Method Summary
`JMXConnector` | `newJMXConnector(JMXServiceURL serviceURL, Map<String,?> environment)` Creates a new connector client that is ready to connect to the connector server at the given address.

Method Detail

### newJMXConnector

    JMXConnector newJMXConnector(JMXServiceURL serviceURL,
                                 Map<String,?> environment)
                                 throws IOException

  Creates a new connector client that is ready to connect to the connector server at the given address. Each successful call to this method produces a different `JMXConnector` object.

  Parameters:
    `serviceURL` - the address of the connector server to connect to.
    `environment` - a read-only Map containing named attributes to determine how the connection is made. Keys in this map must be Strings. The appropriate type of each associated value depends on the attribute.
  Returns:
    a `JMXConnector` representing the new connector client. Each successful call to this method produces a different object.
  Throws:
    `NullPointerException` - if `serviceURL` or `environment` is null.
    `IOException` - if the connection cannot be made because of a communication problem.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.